# V3WebformsWebformResponse

## Example Usage

```typescript
import { V3WebformsWebformResponse } from "@solarwinds/squadcast-sdk-typescript/models";

let value: V3WebformsWebformResponse = {
  id: 586478,
  orgId: "<id>",
  ownerId: "<id>",
  name: "<value>",
  isCname: true,
  publicUrl: "https://smug-requirement.biz",
  tags: {},
  isCaptchaEnabled: false,
  captchaProvider: "<value>",
  captchaSecret: {
    siteKey: "<value>",
    secret: "<value>",
  },
  formOwnerType: "<value>",
  formOwnerId: "<id>",
  formOwnerName: "<value>",
  services: [
    {
      serviceId: "<id>",
      name: "<value>",
      alias: "<value>",
    },
  ],
  inputField: [],
  header: "<value>",
  title: "<value>",
  footerText: "<value>",
  footerLink: "<value>",
  emailOn: [
    "<value 1>",
    "<value 2>",
  ],
  incidentCount: 668363,
  mttr: 3209.76,
  isDeleted: true,
  deletedAt: "<value>",
};
```

## Fields

| Field              | Type                                                                                             | Required             | Description                           |
| ------------------ | ------------------------------------------------------------------------------------------------ | -------------------- | ------------------------------------- |
| `id`               | *number*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `orgId`            | *string*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `ownerId`          | *string*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `name`             | *string*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `isCname`          | *boolean*                                                                                        | :heavy\_check\_mark: | N/A                                   |
| `publicUrl`        | *string*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `hostName`         | *string*                                                                                         | :heavy\_minus\_sign: | N/A                                   |
| `tags`             | [models.V3WebformsWebformResponseTags](/typescript/docs/models/v3webformswebformresponsetags.md) | :heavy\_check\_mark: | N/A                                   |
| `isCaptchaEnabled` | *boolean*                                                                                        | :heavy\_check\_mark: | N/A                                   |
| `captchaProvider`  | *string*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `captchaSecret`    | [models.V3WebformsRecaptchaSecrets](/typescript/docs/models/v3webformsrecaptchasecrets.md)       | :heavy\_check\_mark: | reCAPTCHA credentials to be validated |
| `formOwnerType`    | *string*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `formOwnerId`      | *string*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `formOwnerName`    | *string*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `services`         | [models.V3WebformsWFService](/typescript/docs/models/v3webformswfservice.md)\[]                  | :heavy\_check\_mark: | N/A                                   |
| `inputField`       | [models.V3WebformsWFInputField](/typescript/docs/models/v3webformswfinputfield.md)\[]            | :heavy\_check\_mark: | N/A                                   |
| `header`           | *string*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `title`            | *string*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `logoUrl`          | *string*                                                                                         | :heavy\_minus\_sign: | N/A                                   |
| `footerText`       | *string*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `footerLink`       | *string*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `emailOn`          | *string*\[]                                                                                      | :heavy\_check\_mark: | N/A                                   |
| `description`      | *string*                                                                                         | :heavy\_minus\_sign: | N/A                                   |
| `incidentCount`    | *number*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `mttr`             | *number*                                                                                         | :heavy\_check\_mark: | N/A                                   |
| `isDeleted`        | *boolean*                                                                                        | :heavy\_check\_mark: | N/A                                   |
| `deletedAt`        | *string*                                                                                         | :heavy\_check\_mark: | N/A                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/typescript/docs/models/v3webformswebformresponse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
